Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1077910 - maven-assembly-plugin ftbfs due to missing BR for modello
Summary: maven-assembly-plugin ftbfs due to missing BR for modello
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: maven-assembly-plugin
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-03-18 19:49 UTC by Brent Baude
Modified: 2014-03-19 07:35 UTC (History)
4 users (show)

Fixed In Version: 2.4-9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-19 07:35:07 UTC


Attachments (Terms of Use)

Description Brent Baude 2014-03-18 19:49:29 UTC
Finish: build setup for maven-assembly-plugin-2.4-8.fc21.src.rpm
Start: rpmbuild -bb maven-assembly-plugin-2.4-8.fc21.src.rpm
DEBUG: Executing command: ['ccache', '-M', '4G'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}
DEBUG: Set cache size limit to 4.0 Gbytes
DEBUG: Child return code was: 0
Start: Outputting list of installed packages
DEBUG: Executing command: /usr/bin/repoquery -c /tmp/tmpwywzqZ --installed -a --qf '%{nevra} %{buildtime} %{size} %{pkgid} %{yumdb_info.from_repo}' > /var/lib/mock/fedora-rawhide-i386/result/installed_pkgs with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
DEBUG: Child return code was: 0
Finish: Outputting list of installed packages
INFO: ENTER do(['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps  builddir/build/SPECS/maven-assembly-plugin.spec'], False, '/var/lib/mock/fedora-rawhide-i386/root/', None, 0, True, False, 1000, 988, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}, logger=<mockbuild.trace_decorator.getLog object at 0x87b572c>)
DEBUG: Executing command: ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps  builddir/build/SPECS/maven-assembly-plugin.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}
DEBUG: warning: bogus date in %changelog: Thu Jul 15 2011 Jaromir Capik <jcapik@redhat.com> 2.2.1-3
DEBUG: warning: bogus date in %changelog: Thu May 23 2011 Jaromir Capik <jcapik@redhat.com> 2.2.1-2
DEBUG: Building target platforms: i686
DEBUG: Building for target i686
DEBUG: Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.8HZfFO
DEBUG: + umask 022
DEBUG: + cd /builddir/build/BUILD
DEBUG: + cd /builddir/build/BUILD
DEBUG: + rm -rf maven-assembly-plugin-2.4
DEBUG: + /usr/bin/unzip -qq /builddir/build/SOURCES/maven-assembly-plugin-2.4-source-release.zip
DEBUG: + STATUS=0
DEBUG: + '[' 0 -ne 0 ']'
DEBUG: + cd maven-assembly-plugin-2.4
DEBUG: + /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
DEBUG: + exit 0
DEBUG: Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.ZoSivt
DEBUG: + umask 022
DEBUG: + cd /builddir/build/BUILD
DEBUG: + cd maven-assembly-plugin-2.4
DEBUG: + python /usr/share/java-utils/mvn_build.py -n maven-assembly-plugin -f
DEBUG: [INFO] Scanning for projects...
DEBUG: [INFO] 
DEBUG: [INFO] Using the builder org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder with a thread count of 1
DEBUG: [INFO]                                                                         
DEBUG: [INFO] ------------------------------------------------------------------------
DEBUG: [INFO] Building Maven Assembly Plugin 2.4
DEBUG: [INFO] ------------------------------------------------------------------------
DEBUG: [INFO] Failed to resolve artifact: org.codehaus.modello:modello-maven-plugin:pom:1.4.1
DEBUG: [WARNING] The POM for org.codehaus.modello:modello-maven-plugin:jar:1.4.1 is missing, no dependency information available
DEBUG: [INFO] Failed to resolve artifact: org.codehaus.modello:modello-maven-plugin:jar:1.4.1
DEBUG: [INFO]                                                                         
DEBUG: [INFO] ------------------------------------------------------------------------
DEBUG: [INFO] Skipping Maven Assembly Plugin
DEBUG: [INFO] This project has been banned from the build due to previous failures.
DEBUG: [INFO] ------------------------------------------------------------------------
DEBUG: [INFO] ------------------------------------------------------------------------
DEBUG: [INFO] BUILD FAILURE
DEBUG: [INFO] ------------------------------------------------------------------------
DEBUG: [INFO] Total time: 0.987 s
DEBUG: [INFO] Finished at: 2014-03-18T14:48:56-06:00
DEBUG: [INFO] Final Memory: 10M/137M
DEBUG: [INFO] ------------------------------------------------------------------------
DEBUG: [ERROR] Plugin org.codehaus.modello:modello-maven-plugin:1.4.1 or one of its dependencies could not be resolved: Cannot access central (http://repo.maven.apache.org/maven2) in offline mode and the artifact org.codehaus.modello:modello-maven-plugin:jar:1.4.1 has not been downloaded from it before. -> [Help 1]
DEBUG: [ERROR] 
DEBUG: [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
DEBUG: [ERROR] Re-run Maven using the -X switch to enable full debug logging.
DEBUG: [ERROR] 
DEBUG: [ERROR] For more information about the errors and possible solutions, please read the following articles:
DEBUG: [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/PluginResolutionException
DEBUG: error: Bad exit status from /var/tmp/rpm-tmp.ZoSivt (%build)
DEBUG:     bogus date in %changelog: Thu Jul 15 2011 Jaromir Capik <jcapik@redhat.com> 2.2.1-3
DEBUG:     bogus date in %changelog: Thu May 23 2011 Jaromir Capik <jcapik@redhat.com> 2.2.1-2
DEBUG:     Bad exit status from /var/tmp/rpm-tmp.ZoSivt (%build)
DEBUG: RPM build errors:
DEBUG: Child return code was: 1
INFO: EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps  builddir/build/SPECS/maven-assembly-plugin.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 376, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps  builddir/build/SPECS/maven-assembly-plugin.spec']
INFO: LEAVE do --> EXCEPTION RAISED

DEBUG: Executing command: ['/bin/umount', '-n', '/var/lib/mock/fedora-rawhide-i386/root/proc/filesystems'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
DEBUG: Child return code was: 0
DEBUG: Executing command: ['/bin/umount', '-n', '/var/lib/mock/fedora-rawhide-i386/root/tmp/ccache'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
DEBUG: Child return code was: 0
DEBUG: Executing command: ['/bin/umount', '-n', '/var/lib/mock/fedora-rawhide-i386/root/var/cache/yum'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
DEBUG: Child return code was: 0
DEBUG: Executing command: ['/bin/umount', '-n', '-l', '/var/lib/mock/fedora-rawhide-i386/root/dev/pts'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
DEBUG: Child return code was: 0
DEBUG: Executing command: ['/bin/umount', '-n', '-l', '/var/lib/mock/fedora-rawhide-i386/root/dev/shm'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
DEBUG: Child return code was: 0
DEBUG: Executing command: ['/bin/umount', '-n', '-l', '/var/lib/mock/fedora-rawhide-i386/root/sys'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
DEBUG: Child return code was: 0
DEBUG: Executing command: ['/bin/umount', '-n', '-l', '/var/lib/mock/fedora-rawhide-i386/root/proc'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
DEBUG: Child return code was: 0
ERROR: Exception(maven-assembly-plugin-2.4-8.fc21.src.rpm) Config(fedora-rawhide-i386) 4 minutes 28 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-rawhide-i386/result
ERROR: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps  builddir/build/SPECS/maven-assembly-plugin.spec']


Adding a BR for modello resolves the problem.

Comment 1 Mikolaj Izdebski 2014-03-19 07:09:38 UTC
Fixed in maven-assembly-plugin-2.4-9

Comment 2 Mikolaj Izdebski 2014-03-19 07:35:07 UTC
I believe that this bug is fixed in maven-assembly-plugin-2.4-9,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=505451


Note You need to log in before you can comment on or make changes to this bug.